WPSFont Class Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
WPSFont Class Reference

define the font properties More...

`#include <WPSFont.h>`

Inheritance diagram for WPSFont:

## Public Member Functions
| WPSFont ()
| constructor
| WPSFont (WPSFont const &)=default
| WPSFont (WPSFont &&)=default
WPSFont & | operator= (WPSFont const &)=default
WPSFont & | operator= (WPSFont &&)=default
virtual | ~WPSFont ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | isSet () const
| accessor
bool | operator== (WPSFont const &ft) const
| operator==
bool | operator!= (WPSFont const &ft) const
| operator!=

## Static Public Member Functions
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt)

## Public Attributes
librevenge::RVNGString | m_name
| font name
double | m_size
| font size
uint32_t | m_attributes
| the font attributes defined as a set of bits
double | m_spacing
| font spacing
WPSColor | m_color
| the font color
int | m_languageId
| the language (simplified locale name id) if known
std::string | m_extra
| public field use to add a message when the font is printed

## Friends
std::ostream & | operator<< (std::ostream &o, WPSFont const &ft)
| operator<<

## Detailed Description

define the font properties

## Constructor & Destructor Documentation

## ◆ WPSFont() [1/3]

WPSFont::WPSFont | ( |  | ) |
| inline

constructor

## ◆ WPSFont() [2/3]

WPSFont::WPSFont | ( | WPSFont const & |  | ) |
| default

## ◆ WPSFont() [3/3]

WPSFont::WPSFont | ( | WPSFont && |  | ) |
| default

## ◆ ~WPSFont()

WPSFont::~WPSFont | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ addTo()

void WPSFont::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by WKSContentListener::openSheetCell().

## ◆ getDefault()

static WPSFont WPSFont::getDefault | ( |  | ) |
| inlinestatic

returns the default font ( Courier 12pt)

Referenced by WPS4Text::getDefaultFont(), WPS8Graph::sendBorder(), WPS4Graph::sendObjects(), WPS8Graph::sendObjects(), LotusGraph::sendTextBox(), and LotusGraph::sendTextBoxWK4().

## ◆ isSet()

bool WPSFont::isSet | ( |  | ) | const
| inline

accessor

## ◆ operator!=()

bool WPSFont::operator!= | ( | WPSFont const & | ft | ) | const
| inline

operator!=

## ◆ operator=() [1/2]

WPSFont & WPSFont::operator= | ( | WPSFont && |  | ) |
| default

## ◆ operator=() [2/2]

WPSFont & WPSFont::operator= | ( | WPSFont const & |  | ) |
| default

## ◆ operator==()

bool WPSFont::operator== | ( | WPSFont const & | ft | ) | const

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSFont const & | ft
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_attributes

uint32_t WPSFont::m_attributes

the font attributes defined as a set of bits

Referenced by addTo(), operator==(), WKS4Spreadsheet::readCell(), QuattroDosSpreadsheet::readCellStyle(), MSWriteParser::readCHP(), DosWordParser::readCHP(), WKS4Parser::readFont(), WPS4Text::readFont(), QuattroDosParser::readFont(), QuattroParser::readFontDef(), LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), Quattro9Parser::readFontStyles(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), LotusSpreadsheet::readRowFormat(), Quattro9Graph::readTextboxStyle(), Quattro9Parser::readTextFontStyles(), QuattroDosSpreadsheet::readUserStyle(), PocketWordParser::sendParagraph(), LotusSpreadsheet::sendText(), LotusGraph::sendTextBox(), LotusSpreadsheetInternal::ExtraStyle::update(), XYWriteParserInternal::Format::updateFont(), QuattroDosSpreadsheetInternal::Cell::updateFormat(), and QuattroSpreadsheetInternal::Cell::updateFormat().

## ◆ m_color

WPSColor WPSFont::m_color

the font color

Referenced by addTo(), operator==(), QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), Quattro9Spreadsheet::readCellStyles(), DosWordParser::readCHP(), WKS4Parser::readFont(), WPS4Text::readFont(), QuattroDosParser::readFont(), LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), Quattro9Graph::readTextboxStyle(), Quattro9Parser::readTextFontStyles(), QuattroDosSpreadsheet::readUserStyle(), PocketWordParser::sendParagraph(), LotusSpreadsheet::sendText(), LotusGraph::sendTextBox(), LotusSpreadsheetInternal::ExtraStyle::update(), and XYWriteParserInternal::Format::updateFont().

## ◆ m_extra

std::string WPSFont::m_extra

public field use to add a message when the font is printed

Referenced by operator==(), WKS4Parser::readFont(), WPS4Text::readFont(), and QuattroDosParser::readFont().

## ◆ m_languageId

int WPSFont::m_languageId

the language (simplified locale name id) if known

Referenced by addTo(), operator==(), WKSContentListener::setFont(), and WPSContentListener::setFont().

## ◆ m_name

librevenge::RVNGString WPSFont::m_name

font name

Referenced by addTo(), WPS8TextStyleInternal::Font::def(), getDefault(), WPS4TextInternal::Font::getDefault(), libwps::MultiplanParserInternal::State::getDefaultFont(), QuattroParserInternal::State::getDefaultFont(), Quattro9ParserInternal::State::getDefaultFont(), LotusParserInternal::State::getDefaultFont(), QuattroDosParserInternal::State::getDefaultFont(), WKS4ParserInternal::State::getDefaultFont(), isSet(), operator==(), Quattro9GraphInternal::SubDocument::parse(), XYWriteParser::parseTextZone(), LotusStyleManager::readCellStyleD2Data(), MSWriteParser::readCHP(), DosWordParser::readCHP(), WKS4Parser::readFont(), WPS4Text::readFont(), QuattroParser::readFontDef(), LotusStyleManager::readFontStyleF0(), Quattro9Parser::readFontStyles(), LotusParser::readMacFontName(), Quattro9Graph::readTextboxStyle(), Quattro9Parser::readTextFontStyles(), Quattro9Spreadsheet::sendCellContent(), PocketWordParser::sendParagraph(), LotusGraph::sendTextBox(), WKSContentListener::setFont(), WPSContentListener::setFont(), LotusStyleManager::updateState(), WKSContentParsingState::WKSContentParsingState(), and WPSContentParsingState::WPSContentParsingState().

## ◆ m_size

double WPSFont::m_size

font size

Referenced by addTo(), WPS8TextStyleInternal::Font::def(), getDefault(), WPS4TextInternal::Font::getDefault(), libwps::MultiplanParserInternal::State::getDefaultFont(), QuattroParserInternal::State::getDefaultFont(), Quattro9ParserInternal::State::getDefaultFont(), LotusParserInternal::State::getDefaultFont(), QuattroDosParserInternal::State::getDefaultFont(), WKS4ParserInternal::State::getDefaultFont(), operator==(), XYWriteParser::parseTextZone(), QuattroDosSpreadsheet::readCellStyle(), MSWriteParser::readCHP(), DosWordParser::readCHP(), WKS4Parser::readFont(), WPS4Text::readFont(), QuattroDosParser::readFont(), QuattroParser::readFontDef(), LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), Quattro9Parser::readFontStyles(), LotusSpreadsheet::readRowFormat(), Quattro9Graph::readTextboxStyle(), Quattro9Parser::readTextFontStyles(), QuattroDosSpreadsheet::readUserStyle(), PocketWordParser::sendParagraph(), LotusGraph::sendTextBox(), WKSContentListener::setFont(), WPSContentListener::setFont(), LotusSpreadsheetInternal::Style::Style(), XYWriteParserInternal::Format::updateFont(), WKSContentParsingState::WKSContentParsingState(), and WPSContentParsingState::WPSContentParsingState().

## ◆ m_spacing

double WPSFont::m_spacing

font spacing

Referenced by addTo(), operator==(), LotusStyleManager::readFontStyleA0(), and LotusGraph::sendTextBox().

The documentation for this class was generated from the following files:

- WPSFont.h
- WPSFont.cpp